<template>
  <v-card id="card" class="mx-auto" max-width="450">
    <v-img
      src="https://res.cloudinary.com/dzxqhkyqd/image/upload/v1554871230/planet-express.png"
      width="100%"
    ></v-img>
    <h1>Login</h1>
    <v-card-text>
      <v-form>
        <v-text-field
          label="Usuario"
          placeholder="Usuario"
          outlined
        ></v-text-field>
        <v-text-field
          label="Contraseña"
          placeholder="Contraseña"
          outlined
        ></v-text-field>
      </v-form>
    </v-card-text>

    <v-card-actions>
      <v-btn color="grey lighten-2" text> Registro </v-btn>
      <v-btn color="orange lighten-2" text @click="login">
        Iniciar Sesión
      </v-btn>
      <v-btn color="dark lighten-2" text @click="goHomicidios"> Homicidios Colombia </v-btn>
      <v-spacer></v-spacer>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  data: () => {
    return {};
  },
  methods: {
    login() {
      console.log("Verificando credenciales...");
      this.$router.push("/home");
    },
    goHomicidios(){
      this.$router.push("/homicidios");
    }
  },
};
</script>

<style>
#card {
  margin-top: 10%;
}
h1 {
  text-align: center;
}
</style>